PDA

View Full Version : Hessian Version Problem


dxp558
11-11-2011, 06:25 AM
1,In the hessian-3.0.13-source,
com.caucho.burlap.BurlapContentFacory extends com.caucho.ejb.burlap.BurlapContextFactory
But I didn't find the class com.caucho.ejb.burlap.BurlapContextFactory
and I didn't find these import package:
com.cauchao.util.*;
com.cauchao.naming.*;
com.cauchao.vfs.*;
com.cauchao.jsp.*;
com.cauchao.server.*;
com.cauchao.sql.*;
com.cauchao.ejb.*;
com.cauchao.config.ConfigException;
Then,where can I download the hessian-3.0.13 source code completely?

2.In My application, client and server use the hessian-3.0.13, for some reason ,My client can't upgrade ,If only the server upgrade to the hessian-3.0.20, I have a question that whether the version is compatible between Hessian-3.0.13 and hessian-3.0.20 completely .

Henaulter
04-05-2012, 06:12 AM
We verified that Hessian 4.0.3 works fine with Spring 3.0.1. The Hessian2 protocol (to be activated through HessianProxyFactoryBean's "hessian2" flag) seems to work fine as well now, in contrast to the issues that we had with Hessian 3.2.1 back then. From that perspective, I'd recommend using Hessian 4.0.x now, even if we need to preserve compatibility with Hessian 3.2.x as well.:)